- Qt 6.9
- Qt Wayland Compositor
- C++ Classes
- QWaylandIdleInhibitManagerV1
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandIdleInhibitManagerV1 Class

Provides an extension that allows to inhibit the idle behavior of the compositor. More...

Header: | `#include <QWaylandIdleInhibitManagerV1>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor)` `target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)`
qmake: | `QT += waylandcompositor`
In QML: | IdleInhibitManagerV1
Inherits: | QWaylandCompositorExtensionTemplate

- List of all members, including inherited members

## Public Functions

| QWaylandIdleInhibitManagerV1()
| QWaylandIdleInhibitManagerV1(QWaylandCompositor *compositor)
virtual | ~QWaylandIdleInhibitManagerV1()

## Reimplemented Public Functions

virtual void | initialize() override

## Static Public Members

const struct wl_interface * | interface()

## Detailed Description

The QWaylandIdleInhibitV1 extension provides a way for a client to inhibit the idle behavior of the compositor when a specific surface is visually relevant to the user.

QWaylandIdleInhibitManagerV1 corresponds to the Wayland interface, `zwp_idle_inhibit_manager_v1`.

Inhibited surfaces have the QWaylandSurface::inhibitsIdle property set to `true`.

See also QWaylandSurface::inhibitsIdle.

## Member Function Documentation

### QWaylandIdleInhibitManagerV1::QWaylandIdleInhibitManagerV1()

Constructs a QWaylandIdleInhibitManagerV1 object.

### `[explicit]` QWaylandIdleInhibitManagerV1::QWaylandIdleInhibitManagerV1(QWaylandCompositor *compositor)

Constructs a QWaylandIdleInhibitManagerV1 object for the provided compositor.

### `[virtual noexcept]` QWaylandIdleInhibitManagerV1::~QWaylandIdleInhibitManagerV1()

Destructs a QWaylandIdleInhibitManagerV1 object.

### `[override virtual]` void QWaylandIdleInhibitManagerV1::initialize()

Reimplements: QWaylandCompositorExtension::initialize().

Initializes the extension.

### `[static]` const struct wl_interface *QWaylandIdleInhibitManagerV1::interface()

Returns the Wayland interface for the QWaylandIdleInhibitManagerV1.